%define name smeserver-password
%define version 1.0.0
%define release 6

Summary: SME Server password panel
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
%description
Smeserver addon panel to change password strength and password ageing
%changelog
* Sat Mar 01 2008 Stephen Noble <support@dungog.net> - 1.0.0-06
- build on smecontribs
- default password aging = no
* Sat Mar 01 2008 Stephen Noble <support@dungog.net> - 1.0.0-05
- removed Italian lexicon for now
- removed <trans> values in general
- moved from collaboration to security
* Wed Jun 20 2007 Blaz <gxs@sishell.net>,Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-04
- Added functions to lock account and reset password age
* Wed Jan 24 2007 Blaz <gxs@sishell.net>
- 1.0.0-03
- Cosmetics fixes
- English typos fixing
* Wed Jan 24 2007 Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-02
- completed english translation
* Fri Jan 12 2007 Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-01
- Original version
%prep
%setup
%build
perl createlinks
DEFAULTS=root/etc/e-smith/db/configuration/defaults/passwordaging
mkdir -p $DEFAULTS
echo "configuration" > $DEFAULTS/type
echo "no" > $DEFAULTS/Active
echo "180" > $DEFAULTS/PwdAge
echo "7"   > $DEFAULTS/PwdWarn
%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
%clean
rm -rf $RPM_BUILD_ROOT
%post
true
%postun
true
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
